com.hazelcast.mapreduce

## Class TopologyChangedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException
        - - com.hazelcast.mapreduce.TopologyChangedException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  MapReduce is deprecated and will be removed in 4.0. For map aggregations, you can use `Aggregator` on IMap. For general data processing, it is superseded by Hazelcast Jet.

      @Deprecated
      public class TopologyChangedException
      extends HazelcastException

  This exception is thrown when a topology change happens during the execution of a map reduce job and the `TopologyChangedStrategy` is set to `TopologyChangedStrategy.CANCEL_RUNNING_OPERATION`.
  Since:
    3.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyChangedException()` Deprecated. Creates a new instance of the TopologyChangedException
    `TopologyChangedException(String message)` Deprecated. Creates a new instance of the TopologyChangedException

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopologyChangedException

          public TopologyChangedException()

      Deprecated.
      Creates a new instance of the TopologyChangedException

    - #### TopologyChangedException

          public TopologyChangedException(String message)

      Deprecated.
      Creates a new instance of the TopologyChangedException
      Parameters:
        `message` - the message to be shown to the user

Copyright © 2018. All rights reserved.